Package org.bukkit.event

# Class EventException

java.lang.Object
java.lang.Throwable
java.lang.Exception
org.bukkit.event.EventException

All Implemented Interfaces:
  `Serializable`

public class EventException extends Exception

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`EventException()`
Constructs a new EventException
`EventException(String message)`
Constructs a new EventException with the given message
`EventException(Throwable throwable)`
Constructs a new EventException based on the given Exception
`EventException(Throwable cause, String message)`
Constructs a new EventException with the given message

## Method Summary

Modifier and Type
Method
Description
`Throwable`
`getCause()`
If applicable, returns the Exception that triggered this Exception

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### EventException

public EventException(Throwable throwable)
Constructs a new EventException based on the given Exception

Parameters:
  `throwable` - Exception that triggered this Exception

### EventException

public EventException()
Constructs a new EventException

### EventException

public EventException(Throwable cause, String message)
Constructs a new EventException with the given message

Parameters:
  `cause` - The exception that caused this
  `message` - The message

### EventException

public EventException(String message)
Constructs a new EventException with the given message

Parameters:
  `message` - The message

## Method Details

### getCause

public Throwable getCause()
If applicable, returns the Exception that triggered this Exception

Overrides:
  `getCause` in class `Throwable`
Returns:
  Inner exception, or null if one does not exist